SDL::Console(3)

NAME
SDL::Console - a SDL perl extension

SYNOPSIS
  use SDL::Console;

  my $console = new SDL::Console(
                                 -surface => $app,
                                 -rect  => $console_rect,
                                 -font  => "ConsoleFont.bmp",
                                 -lines => 100,
                                );

DESCRIPTION
The "SDL::Console" module encapsulates the SDL_Console library, and many of its ancillatory functions.

METHODS

  new (-surface => $app, ... )
Specifies the surface on which the console will be blitted. This method takes the following additional parameters:

•
    -font    the font file to use, default: "ConsoleFont.bmp"

•
    -lines    number of lines in the console, default: 32

•
    -rect    a SDL::Rect which specifies the console bounding box,

  topmost () give this console the keyboard focus.

  draw () blit this console to the associated surface

  print ( @strings ) write a string(s) the console

  alpha ( $alpha )
set the console alpha component (0-255)

  background ( $file, $x,$y)
load a background image

  position ( $x, $y)
set the console origin

  resize ( SDL::Rect )
resize the console

  Event ( SDL::Event )
class method to be called when events are processed.

  AddCommand ( $command, sub {} )
class method to add a command to the Consoles repository

  list_commands ()
display the registered commands to the console & stdout

AUTHOR
Wayne Keenan

SEE ALSO
perl SDL::Surface SDL::Rect SDL::App SDL::Event